import { http } from '@/utils/https';

export const userApi = {
  /**
   * 用户登录
   */
  postLogin: data => http({
    method: 'POST',
    url: '/login',
    data
  }),
  
  /**
   * 账号信息
   */
  getUserInfo: () => http({
    method: 'GET',
    url: '/getInfo'
  }),

  // getUserInfo: () => http.get('/getInfo'),

  /**
   * 退出登录
   */
  postLogout: () => http.post('/logout'),

  /**
   * 修改个人信息接口
   */
  UpUser: (data) => http.put('/system/user/profile', data),
  
  /**
   * 修改密码
   */
  putPassword: ({ oldPassword, newPassword }) => http.put(`/system/user/profile/updatePwd?oldPassword=${oldPassword}&newPassword=${newPassword}`),
}