import { defineStore } from "pinia";
import { ref } from "vue";

const sourceData = [
  {
    pagePath: "/pages/home/index",
    iconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-home-default.png",
    selectedIconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-home-active.png",
    isSpecial: false,
    text: "首页",
  },
  {
    pagePath: "/pages/chat/index",
    iconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-answer-default.png",
    selectedIconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-answer-active.png",
    isSpecial: false,
    text: "专家问答",
  },
  {
    pagePath: "/pages/workbench/index",
    iconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-workbench-default.png",
    selectedIconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-workbench-default.png",
    isSpecial: true,
    text: "工作台",
  },
  {
    pagePath: "/pages/message/index",
    iconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-msg-default.png",
    selectedIconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-msg-active.png",
    isSpecial: false,
    text: "消息",
  },
  {
    pagePath: "/pages/my/index",
    iconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-my-default.png",
    selectedIconPath: "https://static.fuxicarbon.com/bigModel/wechat/layout/icon-my-active.png",
    isSpecial: false,
    text: "我的",
  },
];

export const useAppStore = defineStore(
  "app",
  () => {
    const tabBarData = ref(sourceData);
    const activeIndex = ref(1);

    const onChangeActive = (index) => {
      const routes = getCurrentPages();
      const curRoute = routes[routes.length - 1].route;
      const url = tabBarData.value[index].pagePath;

      if ( curRoute != url.substring(1) ) {
        activeIndex.value = index;
        uni.redirectTo({ url });
      }
    };

    return {
      tabBarData,
      activeIndex,
      onChangeActive
    };
  },
);