import { ref, unref } from "vue";
import { defineStore } from "pinia";

export const useUserStore = defineStore(
  "user",
  () => {
    const userInfo = ref({});
    const dialogStatus = ref(false);

    const setUserInfo = (params) => {
      userInfo.value = { ...unref(userInfo), ...params };
    };

    const clearUserInfo = (user) => {
      userInfo.value = {};
    };

    const setDialogStatus = (params) => {
      dialogStatus.value = params;
    };
    return {
      userInfo,
      setUserInfo,
      clearUserInfo,
      dialogStatus,
      setDialogStatus,
    };
  },
  {
    persist: {
      storage: {
        setItem(key, value) {
          uni.setStorageSync(key, value);
        },
        getItem(key) {
          return uni.getStorageSync(key);
        },
      },
    },
  }
);
